Skip to main content
Get Kalshi Market by Slug
curl --request GET \
  --url https://synthesis.trade/api/v1/kalshi/market/slug/{slug}
{
  "success": true,
  "response": {
    "event": {
      "series_id": "KXBTC",
      "event_id": "KXBTC-25",
      "title": "Bitcoin above $100,000 on Dec 31?",
      "sub_title": "Expires at year end",
      "slug": "bitcoin-above-100000-on-dec-31",
      "image": "https://example.com/kalshi-bitcoin.png",
      "tags": [
        "crypto",
        "bitcoin"
      ],
      "labels": [
        "crypto",
        "macro"
      ],
      "category": "Crypto",
      "active": true,
      "liquidity": "800000",
      "volume": "3000000",
      "live": {
        "is_active": true
      },
      "created_at": "2026-01-01T00:00:00",
      "updated_at": "2026-01-01T00:00:00",
      "ends_at": "2026-12-31T23:59:59"
    },
    "markets": [
      {
        "series_id": "KXBTC",
        "event_id": "KXBTC-25",
        "market_id": "KXBTC-25-T100000",
        "kalshi_id": "T100000",
        "title": "Bitcoin above $100,000?",
        "outcome": "Yes",
        "description": "Resolves Yes if Bitcoin settles above $100,000 on expiration.",
        "image": "https://example.com/kalshi-bitcoin-market.png",
        "left_outcome": "Yes",
        "right_outcome": "No",
        "left_price": "0.58",
        "right_price": "0.42",
        "left_token_id": "BRjpCHtyQLeSRWyE1yTdBQbhLkny5oEnveRijBjRoiA",
        "right_token_id": "F4r2GpoNU8MBMdKqP6MCBzKEHe2Mt8s5qm4GrFcJQnbJ",
        "winner_token_id": "",
        "active": true,
        "resolved": false,
        "claimable": false,
        "liquidity": "800000",
        "open_interest": "1200000",
        "volume": "3000000",
        "volume24hr": "175000",
        "dflow": {
          "enabled": true
        },
        "jupiter": true,
        "created_at": "2026-01-01T00:00:00",
        "updated_at": "2026-01-01T00:00:00",
        "ends_at": "2026-12-31T23:59:59"
      }
    ]
  }
}

Path Parameters

slug
string
required

Kalshi event slug.

Query Parameters

sort
string
default:left_price

Sort field for nested markets. Supported values: outcomes, left_price, right_price, liquidity, volume, volume24hr, created_at, ends_at.

order
string
default:DESC

Sort direction. Supported values: ASC or DESC.

Response

200 - application/json

Kalshi event by slug